<template>
    <div class="vehicle__popup">
        <div v-if="focusedVehicle?.finalDestination" class="finalDestination">
            <div :class="'vehicle-icon vehicle-icon__type-'+focusedVehicle?.transportType">
                <div class="vehicle-icon-line">{{focusedVehicle?.line}}</div>
            </div>
            <img src="./../public/right-arrow.png">{{ focusedVehicle?.finalDestination }}
        </div>
        <div class="vehicle__type">{{ focusedVehicle?.vehicleType?.type }} #{{ focusedVehicle?.vehicle }}</div>
        <div v-if="focusedVehicle?.station" class="finalDestination"> <img src="./../public/bus-stop.png"> {{ focusedVehicle?.station }}</div>
    </div>
</template>

<script>

export default {
    name: "VehiclePopup",
    props: {
        focusedVehicle: {
            type: Object
        }
    },
    data: function(){
        return {
            isMounted: false
        }
    },
    
    mounted() {
        this.mounted = true;
    }
}

</script>

<style lang="scss">

.vehicle__popup{
    .finalDestination {
        font-size: 16px;
        display: flex;
        align-self: center;
        align-items: center;
        align-content: center;
        img {
            padding-right: 12px;
            padding-left: 5px;
            width: 16px;
            height: 16px;
        }
    }

    .vehicle__type {
        font-size: 17px;
    }

}




</style>